<?php

namespace Devurai\AcceptbluePaymentPro\Settings;

use Devurai\AcceptbluePaymentPro\Surcharge\SurchargeSettingsDTO;

class CCSettings extends Settings
{
    use SurchargeSettingsDTO;
    public static function getInstance()
    {
        return parent::getInstance();
    }
    public function get_gateway_id(): string
    {
        return 'acceptblue-cc';
    }

    public function get_transaction_type(): string
    {
        return $this->get_prop('transaction_type', '');
    }

    public function is_charge_order(): bool
    {
        return $this->get_prop('charge_order', 'no') === 'yes';
    }

    public function is_charge_virtual(): bool
    {
        return $this->get_prop('charge_virtual', 'no') === 'yes';
    }

    public function get_settings_id(): string
    {
        return 'cc';
    }
}